[Unit]
Description=MyApp Go Service
ConditionPathExists=/home/aalyev/main
After=network.target
[Service]
Type=simple
User=aalyev
Group=aalyev
WorkingDirectory=/home/aalyev/main
ExecStart=/usr/local/go/bin/go run .
Restart=on-failure
RestartSec=10
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=appgoservice
[Install]
WantedBy=multi-user.target